<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.4/jquery.js">
</script>
<style>
	.wrap {
		width: 450px;
		padding: 20px;
	}
	form {
		padding: 20px;
		border: 1px solid #BBB;
		width: 450px;
	}
	label {
		width: 165px;
		display: inline-block;
	}
	input[type="text"] {
		width: 200px;
	}
</style>
<div class="wrap">
<h1>Migrate Emails: IMAP using PHP</h1>
<p>This simple script will migrate your inbox using IMAP from one server to another. It preserves the "unread" tag but does not support sub folders yet.</p>
<h2>License</h2>
<p>By using this plugin, you acknowledge that this script (and all its source code) is distributed <strong style=”color:#990000″>AS IS</strong> with no implicit or explicit warranty as to the scripts’s fitness for any specific purpose,
and is released under the <a href=”http://www.gnu.org/licenses/gpl-2.0.txt”>GPLv2</a> license.</p>
<p>If you agree to the licensing terms above, please change the variables below and click the Migrate Emails button to begin. It is suggested that you limit the increment number to 100 or less, to make sure this PHP script does not run out of memory or time out.</p>
</div>	
 <form action="<?php echo str_replace('%7E', '~', $_SERVER['REQUEST_URI']); ?>" method="post">
	    <label>From Hostname:</label> <input type="text" name="fhostname" placeholder="hostname" value="<?php echo $_POST['fhostname']; ?>"><br />
	    <label>From Username:</label> <input type="text" name="fusername" placeholder="username" value="<?php echo $_POST['fusername']; ?>"><br />
	    <label>From Password:</label> <input type="text" name="fpassword" placeholder="password" value="<?php echo $_POST['fpassword']; ?>"><br />
	    <label>Destination Hostname:</label> <input type="text" name="dhostname" placeholder="hostname" value="<?php echo $_POST['dhostname']; ?>"><br />
        <label>Destination Username:</label> <input type="text" name="dusername" placeholder="username" value="<?php echo $_POST['dusername']; ?>"><br />
        <label>Destination Password:</label> <input type="text" name="dpassword" placeholder="password" value="<?php echo $_POST['dpassword']; ?>"><br />
		<label>Starting Email Number:</label> <input type="text" name="snumber" value="1" placeholder="start" value="<?php echo $_POST['snumber']; ?>"><br />
		<label>Ending Email Number:</label> <input type="text" name="enumber" value="10" placeholder="end" value="<?php echo $_POST['enumber']; ?>"><br />
		<label>Increment Number:</label> <input type="text" name="inumber" value="10" placeholder="end" value="<?php echo $_POST['inumber']; ?>"><br />
		<label>Test Only:</label> <input type="checkbox" name="test" value="test" id="test" checked="checked"><br />
		<br />
		<input name="migrate-clicked" type="hidden" value="1" />
        <input type="submit" id="go" value="Migrate Emails" /><input type="submit" value="Refresh" />
 </form>
<BR><BR>
Log:<BR>
<textarea id="log" rows="20" cols="150"></textarea>
<script>
	var fhost, fuser, fpass, dhost, duser, dpass, semail, eemail, inc, realstart, realend, poststart, postend;
	
	
	function process(incremental) {
			window.increment = jQuery('input[name="inumber"]').val();
			fhost = jQuery('input[name="fhostname"]').val();
			fuser = jQuery('input[name="fusername"]').val();
			fpass = jQuery('input[name="fpassword"]').val();
			dhost = jQuery('input[name="dhostname"]').val();
			duser = jQuery('input[name="dusername"]').val();
			dpass = jQuery('input[name="dpassword"]').val();
			testv = document.getElementById('test').checked;
			if (window.poststart < window.realend) { // we are still OK to process
				if (incremental == -1) { //initial value, just add the increment
					semail = Number(window.poststart);
					eemail = Number(window.poststart) + Number(window.increment);
				} else {
					$("#log").append( "Log: Adding Increment: ",window.increment + "\n");
					console.log("Adding Increment: ",window.increment);
					window.poststart += Number(incremental);
					semail = Number(window.poststart) + 1;
					eemail = Number(window.poststart) + Number(incremental);
				}
				
				if (semail <= window.realend) { //plus the incremental is less than the ending number
					console.log("Poststart: " + semail, "Postend: " + eemail, "Realstart: " + window.realstart, "Realend: " + window.realend);
					if (Number(eemail) > Number(window.realend)) { eemail = Number(window.realend); }
					$("#log").append( "Log: Starting block . . . please wait.\n" );
					$.post( "process.php", { migrateclicked: "1", fhostname: fhost, fusername: fuser, fpassword: fpass, dhostname: dhost, dusername: duser, dpassword: dpass, snumber: semail, enumber: eemail, test: testv })
					  .done(function( data ) {
						  console.log(data);
						  $("#log").append( data );
						  
						  var textarea = document.getElementById('log');
						  textarea.scrollTop = textarea.scrollHeight;
						  process(window.increment);
						  
					});
				}
			}
	}
	$(document).ready( function() {
		console.log( "ready to go" );
		
		$("#go").click( function(e){
			e.preventDefault();
			
			window.realstart = Number(jQuery('input[name="snumber"]').val());
			window.realend = Number(jQuery('input[name="enumber"]').val());
			window.increment = Number(jQuery('input[name="inumber"]').val());
			window.poststart = Number(window.realstart);
			window.postend = Number(window.realend);

			

			process(-1);
			});
	});
</script>
<?php

?>