<?
//print_r($_POST);

if (isset($_POST['migrateclicked'])) {
	
	$fhostname = $_POST['fhostname'];
	$fusername = $_POST['fusername'];
	$fpassword = $_POST['fpassword'];
	$dhostname = $_POST['dhostname'];
	$dusername = $_POST['dusername'];
	$dpassword = $_POST['dpassword'];
	$snumber = $_POST['snumber'];
	$enumber = $_POST['enumber'];
	$test = $_POST['test'];
	
	$fromMboxServerPath = "{".$fhostname."/notls/imap:143}";
	$fromMboxMailboxPath = "INBOX";
	
	$toMboxServerPath = "{".$dhostname."/notls/imap:143}";
	$toMboxMailboxPath = "INBOX";
	
	$fromMboxMailAddress = $fusername;
	$fromMboxMailPass = $fpassword;
	
	$toMboxMailAddress = $dusername;
	$toMboxMailPass = $dpassword;
	
	$fromMboxConnStr = $fromMboxServerPath.$fromMboxMailboxPath;
	$toMboxConnStr = $toMboxServerPath.$toMboxMailboxPath;	
	
	$fetchStartSeq = $snumber;
	$fetchEndSeq = $enumber;

	function myLog($str)
	{
		echo "Log [".date('Y-m-d H:i:s')."]: $str\n";
	}
	
	myLog("Connecting to mailbox");
	
	function mboxConn($connstr,$addr,$pass)
	{
		if(!($mbox = @imap_open($connstr, $addr, $pass)))
		{
			myLog("Error: ".imap_last_error());
			die;
		}
		else
		{
			myLog("Connected to: $addr $connstr");
			return $mbox;
		}
	}
	
	function mboxCheck($mbox)
	{
		if(!($mbox_data = imap_check($mbox)))
		{
			myLog("Error: ".imap_last_error());
			die;
		}
		else
		{
			myLog("Mailbox check ".$mbox_data->Mailbox." OK");
			myLog($mbox_data->Nmsgs." messages present");
			return $mbox_data->Nmsgs;
		}
	}
	
	$fromMbox = mboxConn($fromMboxConnStr, $fromMboxMailAddress, $fromMboxMailPass);
	$toMbox = mboxConn($toMboxConnStr, $toMboxMailAddress, $toMboxMailPass);
	
	$fromMboxCount = mboxCheck($fromMbox);
	$toMboxCount = mboxCheck($toMbox);
	

	
	$fetchStartUID = imap_uid($fromMbox,$fetchStartSeq);
	if ($fromMboxCount < $fetchEndSeq)
	{
		$fetchEndSeq = $fromMboxCount;
	}
	$fetchEndUID = imap_uid($fromMbox,$fetchEndSeq);
	
	/*
	* Loop on mails
	*/
	
	myLog("Do stuff and backup from UID [$fetchStartUID] to UID [$fetchEndUID]");
	
	for ($i=$fetchStartSeq;$i<=$fetchEndSeq;$i++)
		{
		$pfx = "Msg #$i : ";
		$h = imap_header($fromMbox, $i);
		$fh = imap_fetchheader($fromMbox, $i);
		$headerinfo = imap_headerinfo($fromMbox, $i);
		$internal_date=date('d-M-Y H:i:s O',$headerinfo->udate); //important!
		$fb = imap_body($fromMbox, $i, FT_PEEK);
		//$test = imap_clearflag_full ( $fromMbox , $i , "\SEEN"  ); <-removes the "SEEN" flag
		$message = $fh.$fb;
		
		$msgUID = imap_uid($fromMbox,$i);
		
		$struct = imap_fetchstructure ($fromMbox, $i);
		
		/*
		* We do some logging
		*/
		
		myLog($pfx."Date: [".$internal_date."]");
		myLog($pfx."UID [".$msgUID."] SEQ [".imap_msgno($fromMbox,$msgUID)."] Flags: [". $h->Unseen . $h->Recent . $h->Deleted . $h->Answered . $h->Draft . $h->Flagged."]");
		myLog($pfx."From: [". htmlspecialchars($h->fromaddress) . "] To: [".htmlspecialchars($h->toaddress)."]");
		myLog($pfx."Subject: [$h->subject]");
		
		/*
		* Transfer email using imap_append – Emails that are unread will not be marked as read. 
		* TODO: Other flags
		*/
		
		if ($h->Unseen == "U") {
			myLog($pfx."Flag [".$h->Unseen." > Unseen]");
		} else {
			$readornot = "\SEEN";
		}
		
		
		
		if ($test == "false") {
			if (!($ret = imap_append($toMbox,$toMboxServerPath.$toMboxMailboxPath,$message,$readornot,$internal_date)))
			{
			myLog("Error: ".imap_last_error());
			die;
			}
			else
			{
			myLog("everything ok, mail [$fetchStartUID:$fetchEndUID] downloaded and moved in $newMailboxNameMOVE");
			}

		} else {
			myLog("TEST ONLY. Append Skipped for now!"); //Transfer turned off, debug only
		}
	}
		
		
	/**
	* End
	*/
	
	imap_close($fromMbox);
	imap_close($toMbox);
	
	myLog("Connection closed");
}
?>